Auto Multiple Choice - Feature # 188: Integration with package "hyperref" for editable electronic pdfs
Description: | was wandering if such feature is possible?

The rationale is that, beside the final assessment, | want to implement also the weekly assignments with
AMC.

Ideally the students might receive the pdf copy electronically, fill it electronically if they wish, and submit their
results without any paper being printed.

Do you think it is feasible?

Cheers,
Andrea

History

06/14/2013 10:44 pm - Alexis Bienveniie
- Description changed from

| was wandering if such feature is possible?

The rationale is that, beside the final assessment, | want to implement also the weekly assignments with AMC.
Ideally the students might receive the pdf copy electronically, fill it electronically if they wish, and submit their results without any paper being printed.

Do you think it is feasible?
Cheers,
Andrea

to | was wandering if such feature is possible?

The rationale is that, beside the final assessment, | want to implement also the weekly assignments with AMC.

Ideally the students might receive the pdf copy electronically, fill it electronically if they wish, and submit their results without any paper being printed.

Do you think it is feasible?

Cheers,
Andrea

Maybe web-based assignments could be simpler for this? What would be the advantages of AMC with editable PDF?

06/16/2013 02:31 pm - Andrea D

Hello Alexis, thanks for the prompt reply.

Web-based assignments would be simpler on their own.
But | would use paper version as a standard form, letting the student to opt for the electronic version only if they wish.
| think that the paper form is much more effective as a commitment to a regular study (at least in math and physics), and | would use only the paper
form.

But the fact is that from next year | will start using AMC-based weekly assignment on a much bigger class (250+ students). And | am very worried
about the extra burden on the scanning process.

I might experiment myself with the code, but | fear | will need some help every now and then.

Cheers,
Andrea

06/16/2013 02:42 pm - Alexis Bienveniie

> (250+ students). And | am very worried about the extra burden on the scanning process.

With a single separate answer sheet per student and a scanner with automatic document feeder, this should not be so heavy.
> | might experiment myself with the code, but | fear | will need some help every now and then.

I will try to help you when needed.

06/17/2013 06:17 pm - Andrea D
Hello Alexis,

This is what | came up with.
| think the most viable way is to turn some of the \fcolorbox into \CheckBox defined by the package "hyperref".

What | did is the following:
| changed the definition of @\AMC@caselettre@ to use the command @\ AMC@HYPERboxedchar@:
<pre>

\newcommand\AMC@caselettre[4]{
\AMC@HY PERboxedchar{\ifx\@empty#1\@empty

</pre>

@\AMC@HYPERboxedchar@ is identical to @\ AMC@boxedchar@ except that the former uses @\HYPERfcolorbox@.

And @\HYPERfcolorbox@ is:

<pre>

\newcount\HYPER@counter

\HYPER®@counter=1000

\newcommand{\HYPERfcolorbox}[3]{\global\advance\HYPER@counter\@ne%
\CheckBox[checkboxsymbol=\ding{110},bordercolor=#1,backgroundcolor=#2,height=1.8ex,width=1.8ex,borderwidth=.4pt,bordersep=0.0pt,name=\the\H
YPER@counter]{}}

</pre>

The result is very satisfing. But | have a big problem: the "Layout detection" will not work on the newly defined fcolorbox.

Maybe you can give me an hint on how the Layout detection actually work?
Many thanks,
Andrea

06/17/2013 09:45 pm - Alexis Bienveniie

@\AMC@tracebox@ is used to draw the box *and* log (in a @.xy@ file) the exact position of the box on the page. Maybe redifine the
@\AMC@shape@square@ command, with something like (I did not test):

<pre>

\renewcommand\AMC@shape@square[5]{\AMC@tracebox{#3}{#4}{\HYPERfcolorbox{#1}{#2}{}}}

</pre>

06/20/2013 02:37 pm - Andrea D

Hello Alexis, your suggestions worked very well, and after few minor amendments to properly align the "tracebox" to the "checkbox", | can produce a

very sleeky AMC-based hyperref documents.

However the problems are not quite finished, here | list the two major ones:

1) 1 didn't find an open source program to burst the multiple page document in many single page documents which would burst also the "Form"

environment. For instance, with pdftk, the bursted version has problems in almost all pdf readers. The only robust alternative is Adobe Acrobat Pro,

which is proprietary software.

2) If the form is returned as an FDF file, any PDF reader would produce is own version, and again pdftk (which | use to mount back the filled

documents) is not very happy with all of them.

It is all a bit cumbersome. Mostly because of continuous clashes with the proprietary software that the user might use to fill the form.
| might post an update when | will actually start to use the system in October, in the meanwhile, | would close the thread.

Regards,
Andrea

11/03/2017 11:20 am - Alexis Bienveniie

- Status changed from New to Feedback

Coming back to this old feature request...
Have a look at the new @pdfform@ package option!

02/08/2018 05:38 pm - Alexis Bienveniie
- Status changed from Feedback to Closed
- % Done changed from 0 to 100
